Subject: [yang-doctors] FW: [I2nsf] YANG Doctors Working Group Last Call Review of draft-ietf-i2nsf-capability-data-model-04.txt

From: "Mehmet Ersue" <[email-masked]>
Date: Mon, 29 Jul 2019 17:50:53 +0200

Forward

From: Acee Lindem (acee) <[email-masked]> 
Sent: Monday, July 29, 2019 5:29 PM
To: Mr. Jaehoon Paul Jeong <[email-masked]>
Cc: [email-masked]; [email-masked]; yang-doctors <[email-masked]>; [email-masked]; [email-masked]
Subject: Re: [I2nsf] YANG Doctors Working Group Last Call Review of draft-ietf-i2nsf-capability-data-model-04.txt

Hi Paul, 

Thank you for incorporating my comments and adding examples. Note that the module prologue still doesn’t match the suggested template in RFC 8407 - https://tools.ietf.org/html/rfc8407#appendix-B

One question – I see this work is being done as part of a funding project. Does this include implementation of an I2NSF Security Controller? This would go further to validate the models than any reviews. 

Thanks,

Acee

From: "Mr. Jaehoon Paul Jeong" <[email-masked] <mailto:[email-masked]> >
Date: Thursday, July 25, 2019 at 10:06 AM
To: Acee Lindem <[email-masked] <mailto:[email-masked]> >
Cc: "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, yang-doctors <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >, "[email-masked] <mailto:[email-masked]> " <[email-masked] <mailto:[email-masked]> >
Subject: Re: [I2nsf] YANG Doctors Working Group Last Call Review of draft-ietf-i2nsf-capability-data-model-04.txt

Hi Acee, 

Here is the revision letter for the revised draft, reflecting your comments along with the revised draft:

https://tools.ietf.org/html/draft-ietf-i2nsf-capability-data-model-05 

If you have further comments and questions, please let me know.

Thanks.

Best Regards,

Paul

On Tue, Jun 18, 2019 at 3:09 PM Acee Lindem (acee) <[email-masked] <mailto:[email-masked]> > wrote:

Document: draft-ietf-i2nsf-capability-data-model-04.txt
Reviewer: Acee Lindem
Review Date: June 18, 2019
Review Type: Working Group Last Call
Intended Status: Standards Track
Summary: Not ready for publication

Modules: "[email-masked] <mailto:[email-masked]> "

Tech Summary: The model is logically structured and seems to fulfill its
intended purpose. The "Overview" section defines the usage, context, and
usage of the model, i.e., it is limited to the NSF capability registration 
interface. However, the draft/model is very rough and not ready for working 
group last call. It seems that it has not gotten adequate review by the chairs
and other members of the I2NSF Working Group. 

Major Comments:

 1. The "Security Considerations" in section 8 do not conform to the
    recommended template in https://trac.ietf.org/trac/ops/wiki/yang-security-
    guidelines>

 2. The document is missing XML or JSON examples. 

Minor Comments: 

 1. Section 3.1 should reference RFC8340 rather than attempting to
    include tree diagram formatting semantics.

 2. Much of the text is very hard to read and awkwardly worded. There 
    are some instances of sentence fragments. I starting trying to 
    remedy this but found I was rewriting the entire draft and, in 
    many cases, I wasn't sure my edits matched the original intent. I'll
    send the attached diff with suggested edits to the authors - it was too
    big to send to IETF lists. 

 3. "iicapa" is a poor choice for default model prefix - I suggest 
    "nsfcap". It is just as concise but actually expands to something
     meaningful. 

 4. Similar to the text in the narrative sections of the draft, the text in the
     YANG model description statements is very awkwardly worded.

 5. What are the references for the ipv4-sameip and ipv4-geoip conditions?

 6. Add reference for egress-action-capa. 

 7. RFC 2460 is obsoleted by RFC 8200.

 8. Suggest hyphenation of identifiers ipv4-same-ip, ipv4-geo-ip, and
    ipv6-ip-opts.

 9. Suggest hyphenation of anti-virus and anti-ddos both in identifiers
    and in the text.  

10. Suggest providing a definitions for absolute and periodic time. 

11. The References do not include all the RFCs referenced by YANG 
       model reference statements.

Thanks,
Acee

_______________________________________________
I2nsf mailing list
[email-masked] <mailto:[email-masked]> 
https://www.ietf.org/mailman/listinfo/i2nsf

-- 

===========================
Mr. Jaehoon (Paul) Jeong, Ph.D.
Associate Professor
Department of Software
Sungkyunkwan University
Office: +82-31-299-4957
Email: [email-masked] <mailto:[email-masked]> ,  <mailto:[email-masked]> [email-masked]
Personal Homepage: http://iotlab.skku.edu/people-jaehoon-jeong.php <http://cpslab.skku.edu/people-jaehoon-jeong.php>